Package com.independentsoft.office.odf.charts

# Enum Class Dimension

java.lang.Object
java.lang.Enum<Dimension>
com.independentsoft.office.odf.charts.Dimension

All Implemented Interfaces:
  `Serializable`, `Comparable<Dimension>`, `Constable`

public enum Dimension extends Enum<Dimension>
Represents a dimension in a coordinate system.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `X`
  Dimension represented by the x-axis of a chart.
  `Y`
  Dimension represented by the y-axis of a chart.
  `Z`
  Dimension represented by the z-axis of a chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Dimension`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static Dimension[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### X

    public static final Dimension X
    Dimension represented by the x-axis of a chart.

  - ### Y

    public static final Dimension Y
    Dimension represented by the y-axis of a chart.

  - ### Z

    public static final Dimension Z
    Dimension represented by the z-axis of a chart.

- ## Method Details

  - ### values

    public static Dimension[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Dimension valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null